BUFFER(1)

NAME
buffer - buffer data from stdin until EOF, then write to stdout

SYNOPSIS
buffer

DESCRIPTION
Buffer is intended to be use as part of a complex pipeline. It serves somewhat the same purpose as the Prolog "cut" operator. Data from stdin is read and buffered until EOF is detected, and then all the buffered data is written to stdout. An arbitrary amount of data may need to be buffered, so a combination of a 1 Mbyte memory buffer and a temporary file is used. This can be useful when context switching may need to be reduced, because of too many processes competing at the same time. This can also be useful when processing data from and to the same framebuffer with a pipeline, without interfering.

EXAMPLES
    munch | crunch | buffer | grind | package
    fb-pix | pixfilter -flo | buffer | pix-fb

FILES

temporary file used to buffer piped data

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.